apr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Paul Querna <c...@force-elite.com>
Subject APR versioning/releases?
Date Tue, 19 Jul 2005 09:53:46 GMT
So, here are my current thoughts:

APR/trunk contains quite a few good bug fixes.

We can backport more of them to the 1.1.x branch, or we can go forward
with 1.2.0.

I don't believe APR-Util is ready for '1.2.0', since it has the APR-DBD
code in trunk. (and there are some API changes in the pipeline for that,
to work with a new Oracle driver)

Part of this question is the never resolved issue of linking versions
between APR and APR-util.  Does anyone care?

Personally, I think we should just go to APR 1.2.0, and when APR-Util is
ready, it can do its own 1.2.0.

I would like to have a new APR release to bundle with an httpd
alpha/beta/whatever. In the current 1.1.1 release a pollset bug makes
using 2.1.x on Solaris 10 impossible.

Thoughts?

-Paul

Mime
View raw message